<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_171) on Fri May 25 11:54:51 EDT 2018 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>TorProcess (SelekTOR Java Documentation)</title>
<meta name="date" content="2018-05-25">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="TorProcess (SelekTOR Java Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10,"i33":10,"i34":10,"i35":10,"i36":10,"i37":10,"i38":10,"i39":10,"i40":10,"i41":10,"i42":10,"i43":10,"i44":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TorProcess.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../client/TorMonFrame.html" title="class in client"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../index.html?client/TorProcess.html" target="_top">Frames</a></li>
<li><a href="TorProcess.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">client</div>
<h2 title="Class TorProcess" class="title">Class TorProcess</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../lib/ClientProcess.html" title="class in lib">lib.ClientProcess</a></li>
<li>
<ul class="inheritance">
<li>client.TorProcess</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../client/TorController.html" title="class in client">TorController</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">TorProcess</span>
extends <a href="../lib/ClientProcess.html" title="class in lib">ClientProcess</a></pre>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Alistair Neil <info@dazzleships.net></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#EMPTYSTRING">EMPTYSTRING</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#LOG_DEBUG">LOG_DEBUG</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#LOG_INFO">LOG_INFO</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#LOG_NOTICE">LOG_NOTICE</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#TOR_BOOT_ERROR">TOR_BOOT_ERROR</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#TOR_BOOT_FATAL">TOR_BOOT_FATAL</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#TOR_BOOT_TIMEOUT">TOR_BOOT_TIMEOUT</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#TOR_BOOTED">TOR_BOOTED</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#TOR_BRIDGE">TOR_BRIDGE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#TOR_CLOCK_ERROR">TOR_CLOCK_ERROR</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#TOR_DIRINFO_STALE">TOR_DIRINFO_STALE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#TOR_MESSAGE">TOR_MESSAGE</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#TOR_NEWCIRC">TOR_NEWCIRC</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#TOR_NOEXITS">TOR_NOEXITS</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#TOR_NOHOP0">TOR_NOHOP0</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#TOR_NONET_ACTIVITY">TOR_NONET_ACTIVITY</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#TOR_NOROUTE">TOR_NOROUTE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#TOR_RESTARTED">TOR_RESTARTED</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#TOR_STOPPED">TOR_STOPPED</a></span></code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.lib.ClientProcess">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;lib.<a href="../lib/ClientProcess.html" title="class in lib">ClientProcess</a></h3>
<code><a href="../lib/ClientProcess.html#CLIENT_RUNNING">CLIENT_RUNNING</a>, <a href="../lib/ClientProcess.html#CLIENT_STOPPED">CLIENT_STOPPED</a>, <a href="../lib/ClientProcess.html#CLIENT_TIMEDOUT">CLIENT_TIMEDOUT</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../client/TorProcess.html#TorProcess-java.lang.String-java.lang.String-">TorProcess</a></span>(java.lang.String&nbsp;clientpath,
          java.lang.String&nbsp;configfolder)</code>
<div class="block">Constructor</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#clearCLIOption-java.lang.String-">clearCLIOption</a></span>(java.lang.String&nbsp;option)</code>
<div class="block">Remove previously add tor option</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#clearStdout--">clearStdout</a></span>()</code>
<div class="block">Clear the Stdout text area</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#clearTorrcOption-java.lang.String-">clearTorrcOption</a></span>(java.lang.String&nbsp;option)</code>
<div class="block">Remove previously add torrc option</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#clientProcessEventFired-java.lang.String-">clientProcessEventFired</a></span>(java.lang.String&nbsp;data)</code>
<div class="block">Client event handler, can be overriden by parent class</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#createDataFolder--">createDataFolder</a></span>()</code>
<div class="block">Creates a data folder for the Tor client to put its cache data</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#createDefaultConfig--">createDefaultConfig</a></span>()</code>
<div class="block">Creates the default Tor config file</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#deleteCacheData--">deleteCacheData</a></span>()</code>
<div class="block">Delete Tor cache data</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#deleteConfigFile--">deleteConfigFile</a></span>()</code>
<div class="block">Delete the configuration file</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#getBridges--">getBridges</a></span>()</code>
<div class="block">Get bridges</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#getCacheAge--">getCacheAge</a></span>()</code>
<div class="block">Get the age of the file cache in minutes</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#getCachedDataFolder--">getCachedDataFolder</a></span>()</code>
<div class="block">Get the currently set cached data folder</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#getClientLocation--">getClientLocation</a></span>()</code>
<div class="block">Get Tor client location as a filepath</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#getCLIOptionBool-java.lang.String-">getCLIOptionBool</a></span>(java.lang.String&nbsp;option)</code>
<div class="block">Get a previously added tor option boolean value</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#getCLIOptions-java.lang.String-">getCLIOptions</a></span>(java.lang.String&nbsp;option)</code>
<div class="block">Get a previously added tor option string</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#getCLIOptionsAsString--">getCLIOptionsAsString</a></span>()</code>
<div class="block">Gets all the currently set tor options as single String for use as
 arguments passed to tor client</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#getConfigFilePath--">getConfigFilePath</a></span>()</code>
<div class="block">Get the path to the configuration file</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#getControlPort--">getControlPort</a></span>()</code>
<div class="block">Get the control port</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#getDataFolder--">getDataFolder</a></span>()</code>
<div class="block">Get the datafolder being used by tor client</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#getEventMessage-int-">getEventMessage</a></span>(int&nbsp;event)</code>
<div class="block">Get textual representation on an event</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#getListenPort--">getListenPort</a></span>()</code>
<div class="block">Get the listening port</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#getOwnershipID--">getOwnershipID</a></span>()</code>
<div class="block">Return the currently set process ownership ID</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#getSecret--">getSecret</a></span>()</code>
<div class="block">Get the currently set authentification secret</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#getTorrcOption-java.lang.String-">getTorrcOption</a></span>(java.lang.String&nbsp;option)</code>
<div class="block">Get a previously added tor option string</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#getTorrcOptionsAsString--">getTorrcOptionsAsString</a></span>()</code>
<div class="block">Gets all the currently set torrc options as single String</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#getVersion--">getVersion</a></span>()</code>
<div class="block">Get Tor version as float</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#setBoolTorOption-java.lang.String-boolean-">setBoolTorOption</a></span>(java.lang.String&nbsp;option,
                boolean&nbsp;value)</code>
<div class="block">Add a tor option boolean value</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#setBridges-java.lang.String-">setBridges</a></span>(java.lang.String&nbsp;bridges)</code>
<div class="block">Set Tor bridges, supports multiple addresses</div>
</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#setCachedDataFolder-int-">setCachedDataFolder</a></span>(int&nbsp;port)</code>
<div class="block">This populates the the current folder whose name is derived from the
 listening port with data from the given source folder derived by the
 given port number.</div>
</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#setCLIOption-java.lang.String-java.lang.String-">setCLIOption</a></span>(java.lang.String&nbsp;option,
            java.lang.String&nbsp;value)</code>
<div class="block">Add a tor option string which is passed to the tor client on startup.</div>
</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#setControlPassword-java.lang.String-java.lang.String-">setControlPassword</a></span>(java.lang.String&nbsp;secret,
                  java.lang.String&nbsp;hashpass)</code>&nbsp;</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#setExternalArgs-java.lang.String-">setExternalArgs</a></span>(java.lang.String&nbsp;torargs)</code>
<div class="block">Set external user provided startup arguments</div>
</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#setGeoIP4-java.lang.String-">setGeoIP4</a></span>(java.lang.String&nbsp;filepath)</code>
<div class="block">Set the path to the geoip file</div>
</td>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#setGeoIP6-java.lang.String-">setGeoIP6</a></span>(java.lang.String&nbsp;filepath)</code>
<div class="block">Set the path to the geoip file</div>
</td>
</tr>
<tr id="i33" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#setInitialBootEvent-int-">setInitialBootEvent</a></span>(int&nbsp;event)</code>
<div class="block">Set the event that is issued on process boot completion</div>
</td>
</tr>
<tr id="i34" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#setListenPort-int-">setListenPort</a></span>(int&nbsp;port)</code>
<div class="block">Set the listening port</div>
</td>
</tr>
<tr id="i35" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#setLogLevel-int-">setLogLevel</a></span>(int&nbsp;lev)</code>
<div class="block">Set the Tor stdout log level</div>
</td>
</tr>
<tr id="i36" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#setMaxHistory-int-">setMaxHistory</a></span>(int&nbsp;lines)</code>
<div class="block">Set the maximum no of lines to display in the Stdout output</div>
</td>
</tr>
<tr id="i37" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#setOwnershipID-java.lang.String-">setOwnershipID</a></span>(java.lang.String&nbsp;processid)</code>
<div class="block">Set Ownership process id, useful for proper process termination in event
 of a crash</div>
</td>
</tr>
<tr id="i38" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#setSilentBootEnabled-boolean-">setSilentBootEnabled</a></span>(boolean&nbsp;enabled)</code>
<div class="block">Enable/Disable bootstrap message events on startup</div>
</td>
</tr>
<tr id="i39" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#setStdoutTextArea-javax.swing.JTextArea-">setStdoutTextArea</a></span>(javax.swing.JTextArea&nbsp;jta)</code>
<div class="block">Set the text area that will receive Stdout output</div>
</td>
</tr>
<tr id="i40" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#setTorrcOption-java.lang.String-java.lang.String-">setTorrcOption</a></span>(java.lang.String&nbsp;option,
              java.lang.String&nbsp;value)</code>
<div class="block">Add a torrc option string See Tor documentation for valid options.</div>
</td>
</tr>
<tr id="i41" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#startProcess--">startProcess</a></span>()</code>
<div class="block">Starts Tor process, and issues booted event on completion</div>
</td>
</tr>
<tr id="i42" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#torProcessEventFired-int-java.lang.String-">torProcessEventFired</a></span>(int&nbsp;event,
                    java.lang.String&nbsp;data)</code>
<div class="block">Called if an event was fired, will be overidden by sub class</div>
</td>
</tr>
<tr id="i43" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#validateBridges-java.lang.String-">validateBridges</a></span>(java.lang.String&nbsp;bridges)</code>
<div class="block">Validate bridge addresses</div>
</td>
</tr>
<tr id="i44" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../client/TorProcess.html#validateHostPort-java.lang.String-">validateHostPort</a></span>(java.lang.String&nbsp;hostport)</code>
<div class="block">Validate a host:port ipv4 address</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.lib.ClientProcess">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;lib.<a href="../lib/ClientProcess.html" title="class in lib">ClientProcess</a></h3>
<code><a href="../lib/ClientProcess.html#getClientStatus--">getClientStatus</a>, <a href="../lib/ClientProcess.html#getProcess--">getProcess</a>, <a href="../lib/ClientProcess.html#sendMessage-java.lang.String-">sendMessage</a>, <a href="../lib/ClientProcess.html#setStartupDelay-long-">setStartupDelay</a>, <a href="../lib/ClientProcess.html#setStartupTimeout-long-">setStartupTimeout</a>, <a href="../lib/ClientProcess.html#start-java.lang.String-">start</a>, <a href="../lib/ClientProcess.html#stopProcess--">stopProcess</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="LOG_DEBUG">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LOG_DEBUG</h4>
<pre>public static final&nbsp;int LOG_DEBUG</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#client.TorProcess.LOG_DEBUG">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="LOG_INFO">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LOG_INFO</h4>
<pre>public static final&nbsp;int LOG_INFO</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#client.TorProcess.LOG_INFO">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="LOG_NOTICE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LOG_NOTICE</h4>
<pre>public static final&nbsp;int LOG_NOTICE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#client.TorProcess.LOG_NOTICE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="EMPTYSTRING">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EMPTYSTRING</h4>
<pre>public static final&nbsp;java.lang.String EMPTYSTRING</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#client.TorProcess.EMPTYSTRING">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TOR_MESSAGE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TOR_MESSAGE</h4>
<pre>public static final&nbsp;int TOR_MESSAGE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#client.TorProcess.TOR_MESSAGE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TOR_BOOT_TIMEOUT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TOR_BOOT_TIMEOUT</h4>
<pre>public static final&nbsp;int TOR_BOOT_TIMEOUT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#client.TorProcess.TOR_BOOT_TIMEOUT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TOR_BOOT_FATAL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TOR_BOOT_FATAL</h4>
<pre>public static final&nbsp;int TOR_BOOT_FATAL</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#client.TorProcess.TOR_BOOT_FATAL">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TOR_BOOT_ERROR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TOR_BOOT_ERROR</h4>
<pre>public static final&nbsp;int TOR_BOOT_ERROR</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#client.TorProcess.TOR_BOOT_ERROR">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TOR_CLOCK_ERROR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TOR_CLOCK_ERROR</h4>
<pre>public static final&nbsp;int TOR_CLOCK_ERROR</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#client.TorProcess.TOR_CLOCK_ERROR">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TOR_NOROUTE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TOR_NOROUTE</h4>
<pre>public static final&nbsp;int TOR_NOROUTE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#client.TorProcess.TOR_NOROUTE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TOR_BOOTED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TOR_BOOTED</h4>
<pre>public static final&nbsp;int TOR_BOOTED</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#client.TorProcess.TOR_BOOTED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TOR_RESTARTED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TOR_RESTARTED</h4>
<pre>public static final&nbsp;int TOR_RESTARTED</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#client.TorProcess.TOR_RESTARTED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TOR_NOEXITS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TOR_NOEXITS</h4>
<pre>public static final&nbsp;int TOR_NOEXITS</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#client.TorProcess.TOR_NOEXITS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TOR_STOPPED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TOR_STOPPED</h4>
<pre>public static final&nbsp;int TOR_STOPPED</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#client.TorProcess.TOR_STOPPED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TOR_BRIDGE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TOR_BRIDGE</h4>
<pre>public static final&nbsp;int TOR_BRIDGE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#client.TorProcess.TOR_BRIDGE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TOR_NEWCIRC">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TOR_NEWCIRC</h4>
<pre>public static final&nbsp;int TOR_NEWCIRC</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#client.TorProcess.TOR_NEWCIRC">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TOR_DIRINFO_STALE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TOR_DIRINFO_STALE</h4>
<pre>public static final&nbsp;int TOR_DIRINFO_STALE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#client.TorProcess.TOR_DIRINFO_STALE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TOR_NOHOP0">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TOR_NOHOP0</h4>
<pre>public static final&nbsp;int TOR_NOHOP0</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#client.TorProcess.TOR_NOHOP0">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TOR_NONET_ACTIVITY">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TOR_NONET_ACTIVITY</h4>
<pre>public static final&nbsp;int TOR_NONET_ACTIVITY</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#client.TorProcess.TOR_NONET_ACTIVITY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="TorProcess-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TorProcess</h4>
<pre>public&nbsp;TorProcess(java.lang.String&nbsp;clientpath,
                  java.lang.String&nbsp;configfolder)</pre>
<div class="block">Constructor</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>clientpath</code> - Path to Tor client</dd>
<dd><code>configfolder</code> - Filepath to torrc</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="startProcess--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>startProcess</h4>
<pre>public final&nbsp;void&nbsp;startProcess()</pre>
<div class="block">Starts Tor process, and issues booted event on completion</div>
</li>
</ul>
<a name="setLogLevel-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLogLevel</h4>
<pre>public final&nbsp;void&nbsp;setLogLevel(int&nbsp;lev)</pre>
<div class="block">Set the Tor stdout log level</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>lev</code> - </dd>
</dl>
</li>
</ul>
<a name="setExternalArgs-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setExternalArgs</h4>
<pre>public final&nbsp;void&nbsp;setExternalArgs(java.lang.String&nbsp;torargs)</pre>
<div class="block">Set external user provided startup arguments</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>torargs</code> - </dd>
</dl>
</li>
</ul>
<a name="setListenPort-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setListenPort</h4>
<pre>public final&nbsp;void&nbsp;setListenPort(int&nbsp;port)</pre>
<div class="block">Set the listening port</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>port</code> - </dd>
</dl>
</li>
</ul>
<a name="setInitialBootEvent-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setInitialBootEvent</h4>
<pre>public final&nbsp;void&nbsp;setInitialBootEvent(int&nbsp;event)</pre>
<div class="block">Set the event that is issued on process boot completion</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>event</code> - </dd>
</dl>
</li>
</ul>
<a name="clientProcessEventFired-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clientProcessEventFired</h4>
<pre>public final&nbsp;void&nbsp;clientProcessEventFired(java.lang.String&nbsp;data)</pre>
<div class="block">Client event handler, can be overriden by parent class</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../lib/ClientProcess.html#clientProcessEventFired-java.lang.String-">clientProcessEventFired</a></code>&nbsp;in class&nbsp;<code><a href="../lib/ClientProcess.html" title="class in lib">ClientProcess</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>data</code> - line data from standard output of Tor client</dd>
</dl>
</li>
</ul>
<a name="setSilentBootEnabled-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSilentBootEnabled</h4>
<pre>public final&nbsp;void&nbsp;setSilentBootEnabled(boolean&nbsp;enabled)</pre>
<div class="block">Enable/Disable bootstrap message events on startup</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>enabled</code> - </dd>
</dl>
</li>
</ul>
<a name="getEventMessage-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEventMessage</h4>
<pre>public&nbsp;java.lang.String&nbsp;getEventMessage(int&nbsp;event)</pre>
<div class="block">Get textual representation on an event</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>event</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Event as text</dd>
</dl>
</li>
</ul>
<a name="torProcessEventFired-int-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>torProcessEventFired</h4>
<pre>public&nbsp;void&nbsp;torProcessEventFired(int&nbsp;event,
                                 java.lang.String&nbsp;data)</pre>
<div class="block">Called if an event was fired, will be overidden by sub class</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>event</code> - </dd>
<dd><code>data</code> - </dd>
</dl>
</li>
</ul>
<a name="setControlPassword-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setControlPassword</h4>
<pre>public final&nbsp;void&nbsp;setControlPassword(java.lang.String&nbsp;secret,
                                     java.lang.String&nbsp;hashpass)</pre>
</li>
</ul>
<a name="getSecret--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSecret</h4>
<pre>public final&nbsp;java.lang.String&nbsp;getSecret()</pre>
<div class="block">Get the currently set authentification secret</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String</dd>
</dl>
</li>
</ul>
<a name="setBridges-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBridges</h4>
<pre>public final&nbsp;void&nbsp;setBridges(java.lang.String&nbsp;bridges)</pre>
<div class="block">Set Tor bridges, supports multiple addresses</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>bridges</code> - </dd>
</dl>
</li>
</ul>
<a name="validateBridges-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>validateBridges</h4>
<pre>public&nbsp;boolean&nbsp;validateBridges(java.lang.String&nbsp;bridges)</pre>
<div class="block">Validate bridge addresses</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>bridges</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if valid</dd>
</dl>
</li>
</ul>
<a name="validateHostPort-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>validateHostPort</h4>
<pre>public final&nbsp;boolean&nbsp;validateHostPort(java.lang.String&nbsp;hostport)</pre>
<div class="block">Validate a host:port ipv4 address</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>hostport</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if valid</dd>
</dl>
</li>
</ul>
<a name="getBridges--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBridges</h4>
<pre>public final&nbsp;java.lang.String&nbsp;getBridges()</pre>
<div class="block">Get bridges</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>bridges as csv string</dd>
</dl>
</li>
</ul>
<a name="setOwnershipID-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setOwnershipID</h4>
<pre>public&nbsp;void&nbsp;setOwnershipID(java.lang.String&nbsp;processid)</pre>
<div class="block">Set Ownership process id, useful for proper process termination in event
 of a crash</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>processid</code> - </dd>
</dl>
</li>
</ul>
<a name="getOwnershipID--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOwnershipID</h4>
<pre>public&nbsp;java.lang.String&nbsp;getOwnershipID()</pre>
<div class="block">Return the currently set process ownership ID</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String process id</dd>
</dl>
</li>
</ul>
<a name="setGeoIP4-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setGeoIP4</h4>
<pre>public final&nbsp;void&nbsp;setGeoIP4(java.lang.String&nbsp;filepath)</pre>
<div class="block">Set the path to the geoip file</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>filepath</code> - File location</dd>
</dl>
</li>
</ul>
<a name="setGeoIP6-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setGeoIP6</h4>
<pre>public final&nbsp;void&nbsp;setGeoIP6(java.lang.String&nbsp;filepath)</pre>
<div class="block">Set the path to the geoip file</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>filepath</code> - File location</dd>
</dl>
</li>
</ul>
<a name="getClientLocation--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getClientLocation</h4>
<pre>public final&nbsp;java.lang.String&nbsp;getClientLocation()</pre>
<div class="block">Get Tor client location as a filepath</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>filepath as string</dd>
</dl>
</li>
</ul>
<a name="getConfigFilePath--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getConfigFilePath</h4>
<pre>public final&nbsp;java.lang.String&nbsp;getConfigFilePath()</pre>
<div class="block">Get the path to the configuration file</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String Path to configuration file</dd>
</dl>
</li>
</ul>
<a name="getCLIOptions-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCLIOptions</h4>
<pre>public final&nbsp;java.lang.String&nbsp;getCLIOptions(java.lang.String&nbsp;option)</pre>
<div class="block">Get a previously added tor option string</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>option</code> - Tor option key</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String Tor option value</dd>
</dl>
</li>
</ul>
<a name="setCLIOption-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCLIOption</h4>
<pre>public final&nbsp;void&nbsp;setCLIOption(java.lang.String&nbsp;option,
                               java.lang.String&nbsp;value)</pre>
<div class="block">Add a tor option string which is passed to the tor client on startup. See
 Tor documentation for valid options.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>option</code> - </dd>
<dd><code>value</code> - </dd>
</dl>
</li>
</ul>
<a name="setBoolTorOption-java.lang.String-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBoolTorOption</h4>
<pre>public final&nbsp;void&nbsp;setBoolTorOption(java.lang.String&nbsp;option,
                                   boolean&nbsp;value)</pre>
<div class="block">Add a tor option boolean value</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>option</code> - </dd>
<dd><code>value</code> - </dd>
</dl>
</li>
</ul>
<a name="getTorrcOption-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTorrcOption</h4>
<pre>public final&nbsp;java.lang.String&nbsp;getTorrcOption(java.lang.String&nbsp;option)</pre>
<div class="block">Get a previously added tor option string</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>option</code> - Tor option key</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String Tor option value</dd>
</dl>
</li>
</ul>
<a name="setTorrcOption-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTorrcOption</h4>
<pre>public final&nbsp;void&nbsp;setTorrcOption(java.lang.String&nbsp;option,
                                 java.lang.String&nbsp;value)</pre>
<div class="block">Add a torrc option string See Tor documentation for valid options.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>option</code> - </dd>
<dd><code>value</code> - </dd>
</dl>
</li>
</ul>
<a name="getTorrcOptionsAsString--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTorrcOptionsAsString</h4>
<pre>public final&nbsp;java.lang.String&nbsp;getTorrcOptionsAsString()</pre>
<div class="block">Gets all the currently set torrc options as single String</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String Tor client formatted cli arguments</dd>
</dl>
</li>
</ul>
<a name="clearTorrcOption-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clearTorrcOption</h4>
<pre>public final&nbsp;void&nbsp;clearTorrcOption(java.lang.String&nbsp;option)</pre>
<div class="block">Remove previously add torrc option</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>option</code> - </dd>
</dl>
</li>
</ul>
<a name="getCLIOptionBool-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCLIOptionBool</h4>
<pre>public final&nbsp;boolean&nbsp;getCLIOptionBool(java.lang.String&nbsp;option)</pre>
<div class="block">Get a previously added tor option boolean value</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>option</code> - Tor option key</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Boolean value</dd>
</dl>
</li>
</ul>
<a name="clearCLIOption-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clearCLIOption</h4>
<pre>public final&nbsp;void&nbsp;clearCLIOption(java.lang.String&nbsp;option)</pre>
<div class="block">Remove previously add tor option</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>option</code> - </dd>
</dl>
</li>
</ul>
<a name="getCLIOptionsAsString--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCLIOptionsAsString</h4>
<pre>public final&nbsp;java.lang.String&nbsp;getCLIOptionsAsString()</pre>
<div class="block">Gets all the currently set tor options as single String for use as
 arguments passed to tor client</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String Tor cleint formatted cli arguments</dd>
</dl>
</li>
</ul>
<a name="getListenPort--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getListenPort</h4>
<pre>public final&nbsp;int&nbsp;getListenPort()</pre>
<div class="block">Get the listening port</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>port</dd>
</dl>
</li>
</ul>
<a name="getControlPort--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getControlPort</h4>
<pre>public final&nbsp;int&nbsp;getControlPort()</pre>
<div class="block">Get the control port</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>port</dd>
</dl>
</li>
</ul>
<a name="createDefaultConfig--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createDefaultConfig</h4>
<pre>public final&nbsp;void&nbsp;createDefaultConfig()</pre>
<div class="block">Creates the default Tor config file</div>
</li>
</ul>
<a name="deleteConfigFile--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deleteConfigFile</h4>
<pre>public final&nbsp;void&nbsp;deleteConfigFile()</pre>
<div class="block">Delete the configuration file</div>
</li>
</ul>
<a name="createDataFolder--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createDataFolder</h4>
<pre>public final&nbsp;void&nbsp;createDataFolder()</pre>
<div class="block">Creates a data folder for the Tor client to put its cache data</div>
</li>
</ul>
<a name="getDataFolder--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDataFolder</h4>
<pre>public final&nbsp;java.lang.String&nbsp;getDataFolder()</pre>
<div class="block">Get the datafolder being used by tor client</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Path to datafolder</dd>
</dl>
</li>
</ul>
<a name="getCacheAge--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCacheAge</h4>
<pre>public&nbsp;float&nbsp;getCacheAge()</pre>
<div class="block">Get the age of the file cache in minutes</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>age of cache in minutes</dd>
</dl>
</li>
</ul>
<a name="deleteCacheData--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deleteCacheData</h4>
<pre>public final&nbsp;void&nbsp;deleteCacheData()</pre>
<div class="block">Delete Tor cache data</div>
</li>
</ul>
<a name="setCachedDataFolder-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCachedDataFolder</h4>
<pre>public final&nbsp;void&nbsp;setCachedDataFolder(int&nbsp;port)</pre>
<div class="block">This populates the the current folder whose name is derived from the
 listening port with data from the given source folder derived by the
 given port number. This effectively allows each Tor client spawned to
 have its Tor cache data copied from the first Tor client launched instead
 of having to go to the net and fetch it and thus start up is a lot
 faster. I was actually mildly suprised that this actually works.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>port</code> - </dd>
</dl>
</li>
</ul>
<a name="getCachedDataFolder--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCachedDataFolder</h4>
<pre>public final&nbsp;java.lang.String&nbsp;getCachedDataFolder()</pre>
<div class="block">Get the currently set cached data folder</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>path to cached data folder as String</dd>
</dl>
</li>
</ul>
<a name="setStdoutTextArea-javax.swing.JTextArea-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setStdoutTextArea</h4>
<pre>public&nbsp;void&nbsp;setStdoutTextArea(javax.swing.JTextArea&nbsp;jta)</pre>
<div class="block">Set the text area that will receive Stdout output</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>jta</code> - </dd>
</dl>
</li>
</ul>
<a name="setMaxHistory-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMaxHistory</h4>
<pre>public&nbsp;void&nbsp;setMaxHistory(int&nbsp;lines)</pre>
<div class="block">Set the maximum no of lines to display in the Stdout output</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>lines</code> - </dd>
</dl>
</li>
</ul>
<a name="clearStdout--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clearStdout</h4>
<pre>public&nbsp;void&nbsp;clearStdout()</pre>
<div class="block">Clear the Stdout text area</div>
</li>
</ul>
<a name="getVersion--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getVersion</h4>
<pre>public final&nbsp;float&nbsp;getVersion()</pre>
<div class="block">Get Tor version as float</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Tor version as String</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TorProcess.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../client/TorMonFrame.html" title="class in client"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../index.html?client/TorProcess.html" target="_top">Frames</a></li>
<li><a href="TorProcess.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
